Get webhook delivery history
curl --request GET \
--url https://api.videobgremover.com/v1/webhooks/deliveries \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.videobgremover.com/v1/webhooks/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.videobgremover.com/v1/webhooks/deliveries"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"video_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total_deliveries": 123,
"deliveries": [
{
"event_type": "job.started",
"webhook_url": "<string>",
"attempt_number": 123,
"delivery_status": "pending",
"http_status_code": 123,
"error_message": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"payload": {},
"created_at": "2023-11-07T05:31:56Z"
}
]
}Get webhook delivery history
Retrieve the delivery history for webhooks sent for a specific video job. Shows all delivery attempts, their status, and any error messages.
GET
/
v1
/
webhooks
/
deliveries
Get webhook delivery history
curl --request GET \
--url https://api.videobgremover.com/v1/webhooks/deliveries \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.videobgremover.com/v1/webhooks/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.videobgremover.com/v1/webhooks/deliveries"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"video_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total_deliveries": 123,
"deliveries": [
{
"event_type": "job.started",
"webhook_url": "<string>",
"attempt_number": 123,
"delivery_status": "pending",
"http_status_code": 123,
"error_message": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"payload": {},
"created_at": "2023-11-07T05:31:56Z"
}
]
}Authorizations
API key with format vbr_ followed by 32 characters
Query Parameters
Video job ID to get webhook delivery history for
